JUCE: juce::midi_ci::Message::ACK Struct Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
juce::midi_ci::Message::ACK Struct Reference
juce_midi_ci » ci

See the MIDI-CI specification. More...

`#include <juce_CIMessages.h>`

## Public Member Functions
String | getMessageTextAsString () const
| Convenience function that returns the message's text as a String.
auto | tie () const
bool | operator== (const ACK &x) const
bool | operator!= (const ACK &x) const

## Public Attributes
std::byte | originalCategory {}
std::byte | statusCode {}
std::byte | statusData {}
std::array< std::byte, 5 > | details {}
Span< const std::byte > | messageText {}

## Detailed Description

See the MIDI-CI specification.

## Member Function Documentation

## ◆ getMessageTextAsString()

String juce::midi_ci::Message::ACK::getMessageTextAsString | ( |  | ) | const

Convenience function that returns the message's text as a String.

References messageText, and juce::midi_ci::Encodings::stringFrom7BitText().

## ◆ tie()

auto juce::midi_ci::Message::ACK::tie | ( |  | ) | const

References details, messageText, originalCategory, statusCode, and statusData.

Referenced by operator==().

## ◆ operator==()

bool juce::midi_ci::Message::ACK::operator== | ( | const ACK & | x | ) | const

References tie(), and x.

Referenced by operator!=().

## ◆ operator!=()

bool juce::midi_ci::Message::ACK::operator!= | ( | const ACK & | x | ) | const

References operator==(), and x.

## Member Data Documentation

## ◆ originalCategory

std::byte juce::midi_ci::Message::ACK::originalCategory {}

Referenced by tie().

## ◆ statusCode

std::byte juce::midi_ci::Message::ACK::statusCode {}

Referenced by tie().

## ◆ statusData

std::byte juce::midi_ci::Message::ACK::statusData {}

Referenced by tie().

## ◆ details

std::array<std::byte, 5> juce::midi_ci::Message::ACK::details {}

Referenced by tie().

## ◆ messageText

Span<const std::byte> juce::midi_ci::Message::ACK::messageText {}

Referenced by getMessageTextAsString(), and tie().

The documentation for this struct was generated from the following file:

- juce_CIMessages.h